Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: L2TP over IPSEC Есть ли нормальный клиент под linux?  (Прочитано 1711 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн jershell

  • Автор темы
  • Любитель
  • *
  • Сообщений: 64
    • Просмотр профиля
Здравствуйте уважаемое сообщество. Столкнулся с проблемой отсутствия рабочего клиента l2tp/ipsec под линукс. Конкретно проблема начинается с ipsec, а именно с его клиентом.
Пробовал openswan, libreswan, strongswan, но если с openswan наблюдаются постоянно проблемы, но иногда он работает, то с оставшимися двумя вообще ни разу не завелось.

 На работе и дома стоит l2tp-ipsec-vpn (openswan+xl2tpd) и работал, но после обновления   с 12.04 на 14.04 перестал, был баг с xl2tpd, надо было прописать пароль в options. Сейчас опять очередное обновление ядра 3.13.0-24-generic(дома), 3.13.0-30-generic(на работе комп 1), 3.13.0-29-generic(на работе комп 2) ядра на разных машинах, перестал везде работать. При этом как всегда на androind, mac os, win7,win8.1 все замечательно работает. Подскажите кто с линухов ipsec подымает, как вы решаете такие проблемы?  :'(

Оффлайн serega3907

  • Активист
  • *
  • Сообщений: 661
    • Просмотр профиля
присоединяюсь к вопросу

Оффлайн jershell

  • Автор темы
  • Любитель
  • *
  • Сообщений: 64
    • Просмотр профиля
В андроид используется racoon, похоже его можно как-то сконфигурировать чтоб он без проблем начал работать. Попробую покопать в эту сторону.

Оффлайн jershell

  • Автор темы
  • Любитель
  • *
  • Сообщений: 64
    • Просмотр профиля
Re: L2TP over IPSEC Есть ли нормальный клиент под linux?
« Ответ #3 : 12 Август 2014, 15:37:44 »
В андроид используется racoon, похоже его можно как-то сконфигурировать чтоб он без проблем начал работать. Попробую покопать в эту сторону.
Racoon используется так же и в mac os, и скорее всего в iOs, но от этого легче не стало, GUI под него один kVPN, и тоже на него смотреть страшно. Во всех этих системах парамерты прописаны в XML файлах, причем информация какие шифрования на каких этапах используются там  не описано. Похоже генерирует конфиг на основе xml и запускает с параметрами. В общем малопригодно в нашем случае.

Openswan c последним апдейтом ядра 3.13.0-33-generic так и не заработал. Ну чтож, если бы проблема была только в гуе.

Как итог, и тему можно думаю закрывать. В Ubuntu 14.04 3.13 не работает openswan. GUI отсутствует. Решение OpenVpn


 

Страница сгенерирована за 0.058 секунд. Запросов: 24.